﻿## HW1
### Python Programming Questions

This Homework contains these implementations:

 - Reducing Dementions of Data Using PCA 
 - Working with Strings (Data Preprocessing)
 - Drawing a Dice Implementation (Producing Random Numbers)
 - A Number Being Armstrong or Not

